Подготовка рабочего места разработчика

Весь цикл статей/уроков рассчитан на разработчиков 1С, которые уже имеют хороший опыт в области программирования 1С, а также обладают начальными знаниями Java.

Разработку будем вести под Windows, для программирования на Java используем «Eclipse IDE», используемые платформы 1С:Предприятие 8.1 или 8.2, на прочих совместимость не проверялась.

1С и Linux »

Для разработки мобильного клиента можно использовать Linux или Mac OS, т.к. Eclipse – кроссплатформенная среда разработки, а вот с 1С в этом случае могут потребоваться дополнительные настройки. Нативный клиент и конфигуратор 1C под Linux появились только в версии 8.3, младшие версии (8.1 и 8.2) можно запустить только под Winе, дополнительную информацию о настройке 1С по Linux вы можете получить, например здесь, см. так же статьи:

1. Установка JAVA SDK+ Eclipse + Android SDK.

Процесс уже описан неоднократно, повторяться не будем. Вот, например, подробное описание процесса установки на русском языке:

http://startandroid.ru отличный сайт для начинающего Android разработчика, однозначно следует добавить в закладки.

Можете также ознакомиться с переводом статьи Ларса Вогеля «Android Development Tutorial», где в первой части дано общее описание структуры Android-приложения, а во второй описан процесс установки Android SDK, эмулятора и создание первого Android-проекта.

Для рабочего пространства в Eclipse установите кодировку UTF-8. Для этого выполните команду Windows / Preferences, далее в группе General/ Workspace выберите из списка кодировку и сохраните внесенные изменения:

В  результате выполнения данного пункта вы должны получить настроенную среду разработки под Android:

  • установлена последняя версия Android SDK Tools (не ниже v. 21);
  • установлена последняя версия Android SDK Platform-tools (не ниже v.16);
  • установлена платформа Android 4.0 и 4.1, другие по желанию.

Корректность настройки проверена запуском на эмуляторе вашего первого приложения.

2. Установка плагина SVN для Eclipse.

Для скачивания библиотеки FBA  вам потребуется плагин для системы управления версиями SVN, рекомендуем установить Subclipse.

Установка плагина выполняется так же в п.1 установка ADT, т.е. в Eclipse Help > Install New Software… Жмем кнопку Add… и далее выбираем URL нужной нам версии http://subclipse.tigris.org/update_1.8.x или http://subclipse.tigris.org/update_1.6.x.

Если у вас возникли сложности, см. например  статью «Установка расширения Subclipse для Eclipse» где процесс установки плагина описан подробно.

Похожие записи: